<table class="ui celled very compact striped table">
  <tr>
    <th align="center">Project</th>
    <th align="center">For</th>
    <th align="center">Day</th>
    <th align="center">Hours</th>
    <th align="center">Status</th>
    <th align="center">Actions</th>
  </tr>
  <% if @service_hours.count > 0 %>
    <% @service_hours&.each do |service_hour| %>
      <tr>
        <td style="text-align:center;"><%= service_hour.title %></td>
        <td style="text-align:center;"><%= service_hour.for %></td>
        <td style="text-align:center;"><%= service_hour.day.strftime("%m/%d/%Y") %></td>
        <td style="text-align:center;"><%= service_hour.hours_and_money.round(2) %></td>
        <td style="text-align:center;">
          <% if service_hour.service_hour_status_id == 1 %>
            <div class="ui yellow label">
              Pending
            </div>
          <% elsif service_hour.service_hour_status_id == 2 %>
            <div class="ui green label">
              Approved
            </div>
          <% else %>
            <div class="ui red label">
              Disapproved
            </div>
          <% end %>
        </td>
        <td style="text-align:center;">
          <% if policy(service_hour).update? %>
            <%= link_to "Show", service_hour_path(service_hour), :class => "ui primary button" %>
            <%= link_to "Edit", edit_service_hour_path(service_hour), :class => "ui green button" %>
            <%= link_to "Delete", service_hour_path(service_hour),  method: :delete, :class => "ui red button", data: { confirm: 'Delete service hour?' } %>
          <% end %>
        </td>
      </tr>
    <% end %>
  <% else %>
  <tr>
    <td colspan="6" style="text-align:center;">
      <div class="ui fluid red label">
        You don't have any hours submitted!
      </div>
    </td>
  </tr>
  <% end %>
</table>

<div class="ui indicating progress" data-value=<%= @total_hours.round(2) %> data-total=10>
  <div class="bar">
    <div class="progress"></div>
  </div>
  <div class="label">Total Approved Hours</div>
</div>

<div>
  <%= link_to "Submit New Hours", new_service_hour_path(), :class => "ui primary fluid button" %>
</div>
